{{ define "main" }}
  <table class="table table-striped table-hover">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Image</th>
        <th scope="col">Tags</th>
        <th scope="col">Used in</th>
      </tr>
    </thead>
    <tbody id="listTable">
      {{ $counter := 0 }}
      {{ range .Pages.ByParam "Image_Name" }}
        {{ $counter = add $counter 1 }}
        <tr>
          <th scope="row">{{ int $counter }}</th>
          <td>
            <a href="{{ .Permalink }}">{{ .Params.Image_Name }}</a>
          </td>
          <td>
            {{ with .Params.Tags }}
              {{ len . }}
              tag{{ if gt (len .) 1 }}s{{ end }}
            {{ else }}
              0 tag
            {{ end }}
          </td>
          <td>
            {{ $jobs := 0 }}
            {{ range .Params.Tags }}
              {{ $jobs = add $jobs (len .) }}
            {{ end }}
            {{ $jobs }} jobs
          </td>
        </tr>
      {{ end }}
    </tbody>
  </table>
{{ end }}
